projectDir=$workDir/mfx

# git clone https://github.com/lu-zero/mfx_dispatch $projectDir --depth 1

rm -rf $projectDir

mkdir $projectDir
cd $projectDir

git init
git remote add origin https://github.com/lu-zero/mfx_dispatch
git fetch --depth 1 origin "5a3f178be7f406cec920b9f52f46c1ae29f29bb2"
git checkout FETCH_HEAD

git am ../../patches/mfx/*

export CFLAGS="$CFLAGS -static-libgcc -static-libstdc++ -static"
export CXXFLAGS="$CXXFLAGS -static-libgcc -static-libstdc++ -static"
export LDFLAGS="$LDFLAGS -static-libgcc -static-libstdc++"

autoreconf -i

./configure --prefix=$PREFIX --disable-shared --enable-static --with-pic --host=$MFX_HOST

make -j$JOBS
make install
